Bug 1292669 - [abrt] freerdp: fatal_handler(): xfreerdp killed by SIGSEGV
[abrt] freerdp: fatal_handler(): xfreerdp killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: freerdp (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mads Kiilerich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e837d0a4c64b069f1c34f5c0fba...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 20:41 EST by thedavidfactor
Modified: 2016-12-20 12:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:07:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (18.69 KB, text/plain)
2015-12-17 20:41 EST, thedavidfactor
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-17 20:41 EST, thedavidfactor
no flags Details
File: core_backtrace (12.44 KB, text/plain)
2015-12-17 20:42 EST, thedavidfactor
no flags Details
File: dso_list (3.29 KB, text/plain)
2015-12-17 20:42 EST, thedavidfactor
no flags Details
File: environ (1.91 KB, text/plain)
2015-12-17 20:42 EST, thedavidfactor
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-17 20:42 EST, thedavidfactor
no flags Details
File: maps (16.12 KB, text/plain)
2015-12-17 20:42 EST, thedavidfactor
no flags Details
File: mountinfo (3.36 KB, text/plain)
2015-12-17 20:42 EST, thedavidfactor
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-17 20:42 EST, thedavidfactor
no flags Details
File: open_fds (1.87 KB, text/plain)
2015-12-17 20:42 EST, thedavidfactor
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-12-17 20:42 EST, thedavidfactor
no flags Details
File: var_log_messages (294 bytes, text/plain)
2015-12-17 20:42 EST, thedavidfactor
no flags Details

  None (edit)
Description thedavidfactor 2015-12-17 20:41:48 EST
Description of problem:
I was using KRDC and connected to a Windows XP SP2 workstation via RDP. I hit Ctrl+C to copy something from the remote machine, it crashed instantly. I then reconnected and right clicked on selected text and tried doing the copy from the context menu, that also crashed instantly.

Version-Release number of selected component:
freerdp-1.2.0-0.9.git.24a752a.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        xfreerdp -decorations /w:1024 /h:768 /kbd:0x00000409 /u:hollr /parent-window:123732217 /bpp:24 /audio-mode:0 /drive:media /media /network:lan /rfx /cert-ignore +clipboard /port:3389 /v:10.0.0.135 /p:
crash_function: fatal_handler
executable:     /usr/bin/xfreerdp
global_pid:     20819
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #1 fatal_handler at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/libfreerdp/utils/signal.c:68
 #3 _wcslen at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/winpr/libwinpr/crt/string.c:110
 #4 cliprdr_process_format_list at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/channels/cliprdr/client/cliprdr_format.c:144
 #5 cliprdr_order_recv at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/channels/cliprdr/client/cliprdr_main.c:363
 #6 cliprdr_virtual_channel_client_thread at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/channels/cliprdr/client/cliprdr_main.c:778
 #7 thread_launcher at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/winpr/libwinpr/thread/thread.c:257

Potential duplicate: bug 1258025
Comment 1 thedavidfactor 2015-12-17 20:41:55 EST
Created attachment 1106976 [details]
File: backtrace
Comment 2 thedavidfactor 2015-12-17 20:41:56 EST
Created attachment 1106977 [details]
File: cgroup
Comment 3 thedavidfactor 2015-12-17 20:42:01 EST
Created attachment 1106978 [details]
File: core_backtrace
Comment 4 thedavidfactor 2015-12-17 20:42:02 EST
Created attachment 1106979 [details]
File: dso_list
Comment 5 thedavidfactor 2015-12-17 20:42:04 EST
Created attachment 1106980 [details]
File: environ
Comment 6 thedavidfactor 2015-12-17 20:42:05 EST
Created attachment 1106981 [details]
File: limits
Comment 7 thedavidfactor 2015-12-17 20:42:07 EST
Created attachment 1106982 [details]
File: maps
Comment 8 thedavidfactor 2015-12-17 20:42:09 EST
Created attachment 1106983 [details]
File: mountinfo
Comment 9 thedavidfactor 2015-12-17 20:42:10 EST
Created attachment 1106984 [details]
File: namespaces
Comment 10 thedavidfactor 2015-12-17 20:42:13 EST
Created attachment 1106985 [details]
File: open_fds
Comment 11 thedavidfactor 2015-12-17 20:42:14 EST
Created attachment 1106986 [details]
File: proc_pid_status
Comment 12 thedavidfactor 2015-12-17 20:42:15 EST
Created attachment 1106987 [details]
File: var_log_messages
Comment 13 Andrew Cook 2016-01-14 23:31:53 EST
Another user experienced a similar problem:

Copying a folder on a windows xp machine

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        xfreerdp /v:label-4 /u:user /clipboard /size:1280x720
crash_function: fatal_handler
executable:     /usr/bin/xfreerdp
global_pid:     30677
kernel:         4.4.0-0.rc8.git2.1.fc24.x86_64
package:        freerdp-1.2.0-0.9.git.24a752a.fc23
reason:         xfreerdp killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Fedora End Of Life 2016-11-24 09:19:19 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:07:47 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.